from PIL import Image, ImageChops

PATH = "data/yugo.jpg"

with Image.open(PATH) as img: 

    r, g, b = img.split()
    #r.show()

    # Pitanje: u kojoj mapi r, g, ili b je auto "beo" i sta to znaci?
    print(r)

    # Kog su intenziteta gume na sve tri mape? A felne?
    # r.show()
    # g.show()
    # b.show()

    # constant: 0 je crna, 255 je bela, izmedju su nijanse sive.
    black = ImageChops.constant(r, 0)
    # black.show()

    # Spajanje kanala
    Image.merge("RGB", (r, black, black)).show()
    # Zakljucak: prednja maska i gume su bez crvene boje (crna = #000000)
    
    Image.merge("RGB", (r, g, black)).show()
    Image.merge("RGB", (black, g, b)).show()
    
    # Pitanje: sta se dobije kada transliramo boje, pa umesto 
    # r, g, b, prikazemo g, b, r? Koje boje ce biti jugo?
    Image.merge("RGB", (g, b, r)).show()
    # Zakljucak: Plave! Ovo je moguce uraditi u pikselima gde 
    # je jedna boja dominantna. Gde imamo crnu i belu boju (gume/felne)
    # tu ostaje crna/bela bez obzira na transliranje (ima svih ili nema uopste boja).
    